I've just won a 3WARE Sata Controller on a PCI-X card. The newest
driver on the 3WARE site is for Suse 10.3. I'm installing it on a new
64 bit motherboard router/server I'm setting up.

Do you suppose Suse 11.1 (or whatever is current) is similar
enough to 10.3, for the 10.3 drivers to work. Or should I
just use 10.3? If I try the 10.3 drivers on 11.1 Suse, and it
doesn't work, can I do any hardware damage?

Suggestions or cautions?

Sincerely
/blair